## yacas 1.9.1+dfsg

=== docs/CMakeLists.txt ===
find_package(Sphinx REQUIRED)

if(NOT DEFINED SPHINX_THEME)
    set(SPHINX_THEME default)
endif()

if(NOT DEFINED SPHINX_THEME_DIR)
    set(SPHINX_THEME_DIR)
endif()

# configured documentation tools and intermediate build results
set(BINARY_BUILD_DIR "${CMAKE_CURRENT_BINARY_DIR}/_build")

# Sphinx cache with pickled ReST documents
set(SPHINX_CACHE_DIR "${CMAKE_CURRENT_BINARY_DIR}/_doctrees")

# HTML output directory
set(SPHINX_HTML_DIR "${CMAKE_CURRENT_BINARY_DIR}/html")
set(SPHINX_SINGLEHTML_DIR "${CMAKE_CURRENT_BINARY_DIR}/singlehtml")

file (
    COPY
      util
      favicon.ico
      yacaslogo.png
      yacaslogo_w250px.png
      conf.py
    DESTINATION
      "${BINARY_BUILD_DIR}")

add_custom_target(yacas_docs ALL
    ${SPHINX_EXECUTABLE}
        -q -b singlehtml
        -c "${BINARY_BUILD_DIR}"
        -d "${SPHINX_CACHE_DIR}"
        "${CMAKE_CURRENT_SOURCE_DIR}"
        "${SPHINX_SINGLEHTML_DIR}"
    COMMENT "Building HTML documentation with Sphinx")

install (DIRECTORY "${SPHINX_SINGLEHTML_DIR}"
         DESTINATION ${CMAKE_INSTALL_DOCDIR}
         COMPONENT doc
         PATTERN ".buildinfo" EXCLUDE)

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/yacas.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/yacas.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/yacas"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/yacas"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== docs/requirements.txt ===
sphinxcontrib-bibtex

=== man/CMakeLists.txt ===
if (${CMAKE_SYSTEM_NAME} STREQUAL "Linux")
    find_package (UnixCommands REQUIRED)
    find_program (RST2MAN rst2man)

    if (RST2MAN)
        add_custom_target (man ALL COMMAND ${RST2MAN} ${PROJECT_SOURCE_DIR}/man/yacas.1.rst | ${GZIP} -9 > ${PROJECT_BINARY_DIR}/yacas.1.gz)
        install (FILES ${PROJECT_BINARY_DIR}/yacas.1.gz DESTINATION share/man/man1 COMPONENT app)
    endif ()
endif ()

=== tests/CMakeLists.txt ===
set (CTEST_PROJECT_NAME "yacas")

set (YACAS_TESTS
  arithmetic.yts
  association.yts
  binaryfactors.yts
  bitops.yts
  c_tex_form.yts
  calculus.yts
  calendar.yts
  canprove.yts
  comments.yts
  complex.yts
  cyclotomic.yts
  deriv.yts
  dimensions.yts
  dot.yts
  GaussianIntegers.yts
  graphs.yts
  integrate.yts
  io.yts
  journal.yts
  linalg.yts
  lists.yts
  logic_simplify_test.yts
  macro.yts
  matrixpower.yts
  multivar.yts
  newly.yts
  nthroot.yts
  numbers.yts
  numerics.yts
  nummethods.yts
  ode.yts
  openmath.yts
  orthopoly.yts
  outer.yts
  padic.yts
  physics.yts
  plots.yts
  poly.yts
  predicates.yts
  products.yts
  programming.yts
  radsimp.yts
  rational.yts
  regress.yts
  scopestack.yts
  simplify.yts
  solve.yts
  sturm.yts
  sums.yts
  tensors.yts
  tr.yts
  trace.yts
  transforms.yts)


install (FILES ${YACAS_TESTS} DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/yacas/tests COMPONENT app)
install (PROGRAMS ${TEST_YACAS_CMD} DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/yacas/tests COMPONENT app)

if (ENABLE_CYACAS_CONSOLE)
    foreach (_test ${YACAS_TESTS})
        if (WIN32)
            add_test (NAME cyacas-${_test} WORKING_DIRECTORY ${PROJECT_SOURCE_DIR} COMMAND "${PROJECT_SOURCE_DIR}/tests/test-yacas.bat" "$<TARGET_FILE:yacas> -pc --rootdir ${PROJECT_SOURCE_DIR}/scripts" "${PROJECT_SOURCE_DIR}/tests" "${_test}")
        elseif (APPLE)
            add_test (NAME cyacas-${_test} WORKING_DIRECTORY ${PROJECT_SOURCE_DIR} COMMAND "${PROJECT_SOURCE_DIR}/tests/test-yacas" "$<TARGET_FILE:yacas> -pc --rootdir ${PROJECT_SOURCE_DIR}/scripts" "${PROJECT_SOURCE_DIR}/tests" "${_test}")
        else ()
            add_test (NAME cyacas-${_test} WORKING_DIRECTORY ${PROJECT_SOURCE_DIR} COMMAND "${PROJECT_SOURCE_DIR}/tests/test-yacas" "'$<TARGET_FILE:yacas>' -pc --rootdir ${PROJECT_SOURCE_DIR}/scripts" "${PROJECT_SOURCE_DIR}/tests" "${_test}")
        endif ()
    endforeach ()
endif ()

if (ENABLE_JYACAS)
    foreach (_test ${YACAS_TESTS})
        add_test (NAME jyacas-${_test} WORKING_DIRECTORY ${PROJECT_SOURCE_DIR} COMMAND "${TEST_YACAS_CMD}" "${Java_JAVA_EXECUTABLE} -jar $<TARGET_PROPERTY:jyacas,JAR_FILE>" ${PROJECT_SOURCE_DIR}/tests ${_test})
    endforeach ()
endif ()

=== cyacas/libyacas_mp/CMakeLists.txt ===
#
#
# This file is part of yacas.
# Yacas is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesset General Public License as
# published by the Free Software Foundation, either version 2.1
# of the License, or (at your option) any later version.
#
# Yacas is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with yacas.  If not, see <http://www.gnu.org/licenses/>.
#
#

set (SOURCES
  src/nn.cpp
  src/zz.cpp)

set (HEADERS
  include/yacas/mp/nn.hpp
  include/yacas/mp/zz.hpp)


add_library (libyacas_mp ${SOURCES} ${HEADERS})
set_target_properties (libyacas_mp PROPERTIES OUTPUT_NAME "yacas_mp")
target_include_directories (libyacas_mp PUBLIC include)
target_link_libraries(libyacas_mp PUBLIC coverage_config)

install (TARGETS libyacas_mp LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
                             ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
                             RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR} COMPONENT app)
install (DIRECTORY include/ DESTINATION ${CMAKE_INSTALL_INCLUDEDIR} COMPONENT dev)

# if (APPLE)
#   add_library (libyacas_mp_framework SHARED ${SOURCES} ${HEADERS})
#   set_target_properties(libyacas_mp_framework PROPERTIES OUTPUT_NAME "yacas_mp" VERSION ${PROJECT_VERSION} SOVERSION ${PROJECT_VERSION} FRAMEWORK ON)
#   target_include_directories (libyacas_mp_framework PUBLIC include)
#   add_custom_command(TARGET libyacas_mp_framework POST_BUILD COMMAND ${CMAKE_COMMAND} -E copy_directory ${CMAKE_CURRENT_SOURCE_DIR}/include $<TARGET_FILE_DIR:libyacas_mp_framework>/Headers)
#   add_custom_command(TARGET libyacas_mp_framework POST_BUILD COMMAND cd "$<TARGET_FILE_DIR:libyacas_mp_framework>/../.." && rm -f Headers && ln -s Versions/Current/Headers Headers)
#   install (TARGETS libyacas_mp_framework FRAMEWORK DESTINATION ${CMAKE_INSTALL_FRAMEWORK_PREFIX} COMPONENT framework)
# endif()


if (ENABLE_CYACAS_BENCHMARKS)
    add_subdirectory (benchmark)
endif ()

if (ENABLE_CYACAS_UNIT_TESTS)
    add_subdirectory (test)
endif ()

=== cyacas/yacas-kernel/CMakeLists.txt ===
#
#
# This file is part of yacas.
# Yacas is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesset General Public License as
# published by the Free Software Foundation, either version 2.1
# of the License, or (at your option) any later version.
#
# Yacas is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with yacas. If not, see <http://www.gnu.org/licenses/>.
#
#

find_path (ZEROMQ_INCLUDE_DIR zmq.hpp)
find_library (ZEROMQ_LIBRARY NAMES zmq)

find_path (ZMQPP_INCLUDE_DIR zmqpp.hpp)
find_library (ZMQPP_LIBRARY NAMES zmqpp)

find_path (JSONCPP_INCLUDE_DIR json.h)
find_library (JSONCPP_LIBRARY NAMES jsoncpp)

find_package (OpenSSL)
find_package (Boost REQUIRED date_time filesystem)

include_directories (include)

add_executable (yacas-kernel src/main.cpp src/yacas_kernel.cpp src/yacas_engine.cpp src/hmac_sha256.cpp src/base64.cpp)
target_link_libraries (yacas-kernel libyacas ${ZMQPP_LIBRARY} ${ZEROMQ_LIBRARY} ${JSONCPP_LIBRARY} ${OPENSSL_CRYPTO_LIBRARY} ${Boost_LIBRARIES} pthread ${CMAKE_DL_LIBS})

install (TARGETS yacas-kernel DESTINATION ${CMAKE_INSTALL_BINDIR})

=== cyacas/yacas/CMakeLists.txt ===
include_directories(
  "include"
  )


set (YACAS_COMMON_SOURCES src/yacasmain.cpp src/commandline.cpp src/stdcommandline.cpp)
set (YACAS_COMMON_HEADERS include/commandline.h include/stdcommandline.h)

set (YACAS_UNIX_SOURCES src/unixcommandline.cpp)
set (YACAS_WIN32_SOURCES src/win32commandline.cpp res/yacas.rc)

set (YACAS_UNIX_HEADERS include/unixcommandline.h)
set (YACAS_WIN32_HEADERS include/win32commandline.h)

if (UNIX)
  set (YACAS_SOURCES ${YACAS_COMMON_SOURCES} ${YACAS_UNIX_SOURCES})
  set (YACAS_HEADERS ${YACAS_COMMON_HEADERS} ${YACAS_UNIX_HEADERS})
else ()
  set (YACAS_SOURCES ${YACAS_COMMON_SOURCES} ${YACAS_WIN32_SOURCES})
  set (YACAS_HEADERS ${YACAS_COMMON_HEADERS} ${YACAS_WIN32_HEADERS})
endif ()

if (${CMAKE_SYSTEM_NAME} STREQUAL "Emscripten")
    list (APPEND YACAS_SOURCES src/js_interface.cpp)
endif ()

add_executable (yacas ${YACAS_SOURCES} ${YACAS_HEADERS})

if (APPLE)
    set_target_properties(yacas PROPERTIES INSTALL_RPATH "@loader_path/../lib")
endif()

target_link_libraries (yacas libyacas)

if (WIN32)
  target_link_libraries (yacas wsock32 ws2_32 shlwapi)
endif()

install (TARGETS yacas RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR} COMPONENT app)

=== cyacas/libyacas_mp/test/CMakeLists.txt ===
#
# Copyright (C) 2017 Grzegorz Mazur <teoretyk@gmail.com>
#
# This file is part of yacas.
# Yacas is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesset General Public License as
# published by the Free Software Foundation, either version 2.1
# of the License, or (at your option) any later version.
#
# Yacas is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with yacas.  If not, see <http://www.gnu.org/licenses/>.
#
#

find_package (GTest REQUIRED)

add_executable (yacas_mp_test src/nn_test.cpp src/zz_test.cpp)
target_link_libraries (yacas_mp_test libyacas_mp GTest::GTest GTest::Main)

gtest_add_tests (yacas_mp_test "" AUTO)

=== debian/changelog ===
yacas (1.9.1+dfsg-1) unstable; urgency=medium

  [ наб ]
  * Team upload
  * New upstream version 1.9.1
    Closes: #864387, #311938
  * Maintain package in Debian Science team
  * d/watch: point at new upstream site
    (http://www.yacas.org/getting_started/downloads/)
  * Standards-Version: 4.7.0 (routine-update)
    + d/control: downgrade yacas-doc to Suggests:
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Drop patches, not relevant anymore
  * no sequencer, autohell -> dh, cmake
    Closes: #1047949, #1049777
  * libyacas installed to multi-arch location
  * libyacas.so not installed (just libyacas.a)
  * Debian menu spec dropped
  * yacas_client.1 -> yacas.1 symlink dropped
  * priority-extra-is-replaced-by-priority-optional
  * Homepage: http://www.yacas.org
  * d/copyright: fix for new upstream, DEP-5
  * Vcs-Git: https://salsa.debian.org/science-team/yacas.git (Closes: #1089133)

  [ Andreas Tille ]
  * Provide real package alternative for gnuplot
  * Secure URL in watch file
  * Propagate hardening options

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Thu, 26 Dec 2024 23:04:21 +0100

=== debian/control ===
Source: yacas
Section: math
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Muammar El Khatib <muammar@debian.org>
Standards-Version: 4.7.0
Build-Depends: debhelper-compat (= 13),
               cmake,
               python3-docutils,
               sphinx,
               python3-sphinxcontrib.bibtex,
               latexmk,
               texlive-latex-recommended,
               tex-gyre,
               texlive-latex-extra,
Homepage: http://www.yacas.org
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/science-team/yacas.git
Vcs-Browser: https://salsa.debian.org/science-team/yacas

Package: yacas
Architecture: any
Depends: ${shlibs:Depends},
         lynx | www-browser,
         gnuplot-x11 | gnuplot,
         ${misc:Depends}
Suggests: texmacs, yacas-doc
Description: Computer Algebra System
 Yacas is a small and highly flexible computer algebra language.
 .
 The syntax is very close to Mathematica. The distribution contains
 a small library of mathematical functions, but its real strength
 is in the language in which you can easily write your own symbolic
 manipulation algorithms. It supports arbitrary precision arithmetic.

Package: yacas-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: yacas (= ${binary:Version})
Description: Documentation for Yacas
 Yet Another Computer Algebra System is a small and highly
 flexible computer algebra language.
 .
 The syntax is very close to Mathematica. The distribution contains
 a small library of mathematical functions, but its real strength
 is in the language in which you can easily write your own symbolic
 manipulation algorithms. It supports arbitrary precision arithmetic.
 This package contains the html documentation for yacas.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

CXXFLAGS += -fpermissive
export PYTHONDONTWRITEBYTECODE = 1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

override_dh_auto_build:
	dh_auto_build
	READTHEDOCS=True $(MAKE) -C docs latexpdf

override_dh_auto_clean:
	mv build.xml .build.xml
	dh_auto_clean
	mv .build.xml build.xml

override_dh_auto_configure:
	dh_auto_configure -- -DENABLE_CYACAS_GUI=OFF

override_dh_compress:
	dh_compress -X.pdf

%:
	dh $@ --without ant

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg" \
	https://www.yacas.org/getting_started/downloads/ .*/@ANY_VERSION@@ARCHIVE_EXT@
